<template>

</template>

<script>
    /**
     * 列格式化渲染组件父类
     */
    export default {
        name: "event-parent-render",
        props:{
            showField:{type:Object}, // 该列智能建表字段的配置信息
            rowData:{type:Object}, // 行数据
            column:{type:Object}, // 该列的信息
            sysDataObj:{type:Object}, // 元数据对象集合
            configData:{type:Object}, // 组件传递的配置数据
            formatObj:{type:Object}, // 格式化数据
            existEvent:{type:Boolean},
            paramObj:{}, // 参数配置
            value:{type:String}, // 该列的实际值
            beforeRenderComp:{type:Object},
            afterRenderComp:{type:Object},
            rowIndex:{type:String},//行号
            columnFormatDialogObj:{type:Object},
            pRefs:{type:String},
            pVm:{type:Object},
        },
        data(){
           return{
               configObj:this.configData,
               defaultVal:"", //默认列值
               defaultObj:"", //模版数据
               columnValue: this.value, //当前列值
           }
        },
        created(){

        },
        methods:{
            /**
             * 统一初始化方法
             */
            initDefaultFunc(){
                //默认配置赋值
                if(this.configData){
                    this.configObj = JSON.parse(JSON.stringify(this.configData));
                }else {
                    this.configObj = this.defaultObj; //走默认配置
                }
                //默认值赋值
                this.columnValue = this.value ? this.value : this.defaultVal;
            },
            runEvent(){
                // 运行父组件的事件，任何继承此组件的渲染组件都可以使用@click='runEvent'或通过this.runEvent()调用
                this.$emit('runEvent');
            },


            /**
             * 判断obj对象是否为空
             * @param obj
             * @returns {boolean}
             */
            isEmptyObject(obj) {
                for (let key in obj){
                    if (obj.hasOwnProperty(key)) {
                        return false;//返回false，不为空对象
                    }
                }
                return true;//返回true，为空对象
            },





        }
    }
</script>

<style scoped>

</style>